# setSource

open fun setSource(source: FileTree)

Sets the source for this task. Delegates to setSource. If the source is of type SourceDirectorySet, then the relative path of each source grammar files is used to determine the relative output path of the generated source If the source is not of type SourceDirectorySet, then the generated source files end up flattened in the specified output directory.

#### Since

4.0

#### Parameters

source

The source.

open fun setSource(source: Any)

Sets the source for this task. Delegates to setSource. If the source is of type SourceDirectorySet, then the relative path of each source grammar files is used to determine the relative output path of the generated source If the source is not of type SourceDirectorySet, then the generated source files end up flattened in the specified output directory.

#### Parameters

source

The source.